libsswf: sswf::TagSceneFrameData Class Reference

# sswf::TagSceneFrameData Class Reference

Raw data for your scene and frame. More...

`#include <libsswf.h>`

Inheritance diagram for sswf::TagSceneFrameData:

List of all members.

## Public Member Functions
virtual ErrorManager::error_code_t | Save (Data &data)
| Save the TagSceneFrameData tag.
bool | SetFileData (const char *filename)
| Set a file data in the scene and frame data tag.
void | SetSceneFrameData (const char *data, size_t size)
| Set the data in the scene and frame data tag.
| TagSceneFrameData (TagBase *parent)
| Initializes the TagSceneFrameData object.
virtual swf_type_t | TypeFlags (void) const
| Return the type of the scene and frame data tag.
## Private Member Functions
virtual ErrorManager::error_code_t | ParseTag (swf_tag_t tag, const Data &data)
virtual ErrorManager::error_code_t | PreSave (void)
| Inform the system that version 9 is required.
## Private Attributes
char * | f_data
size_t | f_size

## Detailed Description

This object includes raw data for your scene and frame.

See also:
  Alexis' SWF Reference—Define Scene and Frame Data

  SWF Alexis' Reference—swf_tag

## Constructor & Destructor Documentation

TagSceneFrameData::TagSceneFrameData | ( | TagBase * | parent | ) |

The constructor initializes an empty TagSceneFrameData.

Parameters:

  `[in]` | parent | The sswf::TagHeader where this sswf::TagSceneFrameData is inserted

## Member Function Documentation

virtual ErrorManager::error_code_t sswf::TagSceneFrameData::ParseTag | ( | swf_tag_t | tag,
|  | const Data & | data |
| ) |  |  | `[private, virtual]`

Implements sswf::TagBase.

ErrorManager::error_code_t TagSceneFrameData::PreSave | ( | void |  | ) | `[private, virtual]`

This function is used by the TagSceneFrameData to tell the Save() command that to save this tag a version 9 movie is required.

Returns:
  ErrorManager::ERROR_CODE_NONE when no error occurs, some other ErrorManager::error_code_t otherwise

Reimplemented from sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE, and sswf::TagBase::MinimumVersion().

ErrorManager::error_code_t TagSceneFrameData::Save | ( | Data & | data | ) | `[virtual]`

This function saves the TagSceneFrameData in the specified Data buffer.

Parameters:

  `[in]` | data | The Data buffer where the scene frame data is saved

Returns:
  ErrorManager::ERROR_CODE_NONE when no error occurs, some other ErrorManager::error_code_t otherwise

Implements sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE, f_data, f_size, sswf::TagBase::SaveTag(), sswf::TagBase::SWF_TAG_SCENE_FRAME_DATA, and sswf::Data::Write().

bool TagSceneFrameData::SetFileData | ( | const char * | filename | ) |

This function reads the data from a file and uses it as the block of data of a Scene and Frame Data tag.

Parameters:

  `[in]` | filename | The name of the file to read

Returns:
  true when the file was succesfully read.

See also:
  sswf::TagSceneFrameData::SetSceneFrameData(const char *data, size_t size)

References sswf::ErrorManager::ERROR_CODE_IO, f_data, f_size, sswf::MemoryManager::MemAlloc(), sswf::MemoryManager::MemClean(), and sswf::TagBase::OnError().

void TagSceneFrameData::SetSceneFrameData | ( | const char * | data,
|  | size_t | size |
| ) |  |  |

This function defines the block of data of a Scene and Frame Data tag.

Parameters:

  `[in]` | data | A pointer to a block of data
  `[in]` | size | The size of the block of data in bytes

See also:
  TagSceneFrameData::SetFileData(const char *filename)

References f_data, f_size, sswf::MemoryManager::MemAlloc(), and sswf::MemoryManager::MemClean().

TagBase::swf_type_t TagSceneFrameData::TypeFlags | ( | void |  | ) | const`[virtual]`

This function returns the type flags of the TagSceneFrameData. The TagSceneFrameData is a definition.

Returns:
  The set of flags representing an sswf::TagSceneFrameData

Implements sswf::TagBase.

References SWF_TYPE_DEFINE.

## Member Data Documentation

char* sswf::TagSceneFrameData::f_data`[private]`

Referenced by Save(), SetFileData(), and SetSceneFrameData().

size_t sswf::TagSceneFrameData::f_size`[private]`

Referenced by Save(), SetFileData(), and SetSceneFrameData().

The documentation for this class was generated from the following files:

- libsswf.h
- libsswf_tag_sceneframedata.c++